Skip to main content
`Ctrl`+`K`

# VecSetBlockSize

Sets the block size for future calls to `VecSetValuesBlocked()` and `VecSetValuesBlockedLocal()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetBlockSize(Vec v, PetscInt bs)

Logically Collective

## Input Parameters

- v - the vector

- bs - the blocksize

## Note

All vectors obtained by `VecDuplicate()` inherit the same blocksize.

Vectors obtained with `DMCreateGlobalVector()` and `DMCreateLocalVector()` generally already have a blocksize set based on the state of the `DM`

## See Also

Vectors and Parallel Data, `Vec`, `VecSetValuesBlocked()`, `VecSetLocalToGlobalMapping()`, `VecGetBlockSize()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

## Examples

src/vec/vec/tutorials/ex11.c
src/ksp/ksp/tutorials/ex73.c
src/tao/tutorials/ex3.c
src/vec/vec/tutorials/ex12.c
src/ksp/ksp/tutorials/ex56.c
src/vec/vec/tutorials/ex13.c
src/vec/vec/tutorials/ex19.c
src/vec/vec/tutorials/ex16.c
src/ts/tutorials/ex30.c
src/dm/field/tutorials/ex1.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages